VolumeFailureSummary (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: VolumeFailureSummary

Package org.apache.hadoop.hdfs.server.protocol

# Class VolumeFailureSummary

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.VolumeFailureSummary

public class VolumeFailureSummary extends Object
Summarizes information about data volume failures on a DataNode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VolumeFailureSummary(String[] failedStorageLocations, long lastVolumeFailureDate, long estimatedCapacityLostTotal)`
  Creates a new VolumeFailureSummary.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getEstimatedCapacityLostTotal()`
  Returns estimate of capacity lost.
  `String[]`
  `getFailedStorageLocations()`
  Returns each storage location that has failed, sorted.
  `long`
  `getLastVolumeFailureDate()`
  Returns the date/time of the last volume failure in milliseconds since epoch.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VolumeFailureSummary

    public VolumeFailureSummary(String[] failedStorageLocations, long lastVolumeFailureDate, long estimatedCapacityLostTotal)
    Creates a new VolumeFailureSummary.
    Parameters:
      `failedStorageLocations` - storage locations that have failed
      `lastVolumeFailureDate` - date/time of last volume failure in milliseconds since epoch
      `estimatedCapacityLostTotal` - estimate of capacity lost in bytes

- ## Method Details

  - ### getFailedStorageLocations

    public String[] getFailedStorageLocations()
    Returns each storage location that has failed, sorted.
    Returns:
      each storage location that has failed, sorted

  - ### getLastVolumeFailureDate

    public long getLastVolumeFailureDate()
    Returns the date/time of the last volume failure in milliseconds since epoch.
    Returns:
      date/time of last volume failure in milliseconds since epoch

  - ### getEstimatedCapacityLostTotal

    public long getEstimatedCapacityLostTotal()
    Returns estimate of capacity lost. This is said to be an estimate, because in some cases it's impossible to know the capacity of the volume, such as if we never had a chance to query its capacity before the failure occurred.
    Returns:
      estimate of capacity lost in bytes